#
# spec file for package perl-Gearman
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gearman
Version:        1.130.004
Release:        1.1
%define cpan_name Gearman
Summary:        Client and worker libraries for gearman job dispatch dispatch. Server is[cut]
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gearman/
Source0:        http://www.cpan.org/authors/id/P/PA/PALIK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Perl::OSType)
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Timer)
Requires:       perl(String::CRC32)
%{perl_requires}

%description
Client and worker libraries for gearman job dispatch dispatch. Server is in separate package.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO

%changelog
* Sat Oct  8 2016 coolo@suse.com
- updated to 1.130.004
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  1.130.004 (2016-08-06)
  - - add Gearman::ResponseParser pod
  - - add Gearman::ResposeParser::Taskset pod
  - - rename Gearman::Taskset->_process_packet to process_packet
  - - issue 116744 Utility pod
  1.130.003 (2016-08-05)
  - - check OS in Test::Gearman and don't use "which" on Windows
  - - replace 'use Errno qw(EAGAIN)' by 'POSIX qw(:errno_h)'
    see: http://www.cpantesters.org/cpan/report/d801a704-5975-11e6-9451-9b92aab8e0c0
  1.130.002 (2016-08-03)
  - - skip worker _get_js_sock test without gearmand
  1.130.001 (2016-08-02)
  - - refactoring of Gearman::Util::read_res_packet: no goto/redo
  - - test suite refactoring
  - - solved issue 85191 Programming error prevents Gearman::Worker::work() from connecting to servers
  - - solved issue 59185 document Gearman::Client::get_status
  - - solved issue 56508 using $task->fail("reason goes here") in Gearman::Taskset
  1.12.009 (2016-06-04)
  - - run t/30-maxqueue.t and t/40-prefix.t only with AUTHOR_TESTING
  - - s/::Object/::Objects/
  1.12.008 (2016-06-03)
  - - rename Gearman::Base back to Geamrman::Object because Gearman-Client-Async depends on it
  1.12.007 (2016-05-20)
  - - more tests only with AUTHOR_TESTING
  1.12.006 (2016-05-19)
  - - tests refactoring
  - - execute some tests only if AUTHOR_TESTING env is defined
  1.12.005 (2016-05-06)
  - - rm META.*
  1.12.004 (2016-05-06)
  - - solved issue 5324ce04-0bae-11e6-a317-839d20bbf307
    there was a bug in test script
  1.12.003 (2016-05-01)
  - - tested with perl5-22-1 to improve cpan tester resport
    5324ce04-0bae-11e6-a317-839d20bbf307
  - - fields moved from Gearman::Objects to proper modules
  - - rm obsolete Gearman::Objects
  - - use warnings (except redefine)
  - - perltidy applied to all modules
  1.12.002 (2014-12-19)
  - - attempt to fix bugs: 89037, 100594, 101012
  - - cpan tester report 586f5968-8489-11e4-adb9-802de0bfc7aa is - ugly - fixed too
  - - refactoring: Client/Worker base class added
  - - dynamic tests by using environment variable GEARMAN_SERVERS
* Sat May  2 2015 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-Gearman/CHANGES
  1.12 (2014-12-14)
  - - Repoint HACKING file.
  - - Make a jobserver connection use the command timeout during exception negotiation.
  - - Make $taskset->add_task use the command timeout to not hang during job submission.
  - - Add a client option 'command_timeout' to indicate how long we should wait before considering a
    gearman command to have failed. This not the same as a job timeout, and only affects commands
    that should generally not block apart from the roundtrip on the network.
  - - When a connection to a gearman server fails, start counting how many failures we've had and
    do an exponential backoff (1s, 4s, 9s, 16s...) to a maximum of 90 seconds (default) that we
    treat the server as 'gone' quickly.
  - - Change dispatch_background to share code paths with other dispatching, this will make
    background jobs now be hashed to a particular server (rather than handed to a random server)
* Mon May 30 2011 lars@linux-schulserver.de
- initial package 1.11
  * created by cpanspec 1.78.03
